Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001866TestLinkUser Interface Generalpublic2008-11-13 02:482009-01-20 05:19
Reporterschlundus 
Assigned Toschlundus 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 1 
Fixed in Version1.8 RC 2 
Summary0001866: inconsistency while checking the email address format
DescriptionThe user's email adress seems to be checked in different ways in TL:

I've compare self-signup-check and email-check on saving personal settings


Steps To Reproducecreate a new user during self signup with email address
ö@ö.de

Login with the new user and try to save your personal settings with email address
=> the same Email adress is not accepted
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0004605)
fman (administrator)
2008-11-13 22:28

can you detail what are the functions we are using in each case to check mail format?
(0004619)
schlundus (reporter)
2008-11-14 04:10

Actually on loginFirst.tpl there was no checking! If added it into the user class
(0004623)
fman (administrator)
2008-11-14 15:58

OK, thanks for info

- Issue History
Date Modified Username Field Change
2008-11-13 02:48 schlundus New Issue
2008-11-13 22:28 fman Note Added: 0004605
2008-11-14 02:45 schlundus Status new => assigned
2008-11-14 02:45 schlundus Assigned To => schlundus
2008-11-14 04:10 schlundus Status assigned => resolved
2008-11-14 04:10 schlundus Fixed in Version => next development 1.8 RC 2
2008-11-14 04:10 schlundus Resolution open => fixed
2008-11-14 04:10 schlundus Note Added: 0004619
2008-11-14 15:58 fman Note Added: 0004623
2009-01-20 05:19 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker